CURLOPT_STREAM_PRIORITY(3)

NAME
CURLOPT_STREAM_PRIORITY - set numerical stream priority

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_STREAM_PRIORITY, long prio);

DESCRIPTION
Set the long prio to a number between 1 and 256. For protocols with priorities on streams, such as HTTP/2, this option can be used to set an individual priority for this particular stream used by the easy handle. Setting and using priorities really only makes sense and is only usable when doing multiple streams over the same connections, which thus implies that you use CURLMOPT_PIPELINING(3). This option can be set during transfer. See section 5.3 of RFC 7540 for protocol details: https://httpwg.github.io/specs/rfc7540.html#StreamPriority

DEFAULT
If nothing is set, the HTTP/2 protocol itself will use its own default which is 16.

PROTOCOLS
HTTP/2

EXAMPLE
TODO

AVAILABILITY
Added in 7.46.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_STREAM_DEPENDS(3), CURLOPT_STREAM_DEPENDS_E(3), CURLOPT_PIPEWAIT(3), CURLMOPT_PIPELINING(3),